package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.LifeJDBCAction;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CalculateNextDealTimeAction.class */
public class CalculateNextDealTimeAction extends LifeJDBCAction {
    private String fieldDealTranFreq;
    private String fieldDealBeginDate;
    private String fieldDealEndDate;
    private String fieldDealTime;

    /* JADX WARN: Type inference failed for: r0v18, types: [java.text.SimpleDateFormat, java.text.ParseException] */
    public String execute(Context context) throws GENEException {
        String dealTranFreq = (String) context.get(this.fieldDealTranFreq);
        String dealBeginDate = (String) context.get(this.fieldDealBeginDate);
        String dealEndDate = (String) context.get(this.fieldDealEndDate);
        String dealTime = (String) context.get(this.fieldDealTime);
        if (dealTime == null || dealTime.equals("")) {
            context.put(this.fieldDealTime, dealBeginDate);
            return "0";
        }
        ?? simpleDateFormat = new SimpleDateFormat("yyyyMMdd");
        try {
            Date dealDate = simpleDateFormat.parse(dealTime);
            Date endDate = simpleDateFormat.parse(dealEndDate);
            Calendar calendar = Calendar.getInstance();
            calendar.setTime(dealDate);
            if (dealTranFreq != null && dealTranFreq.equals("D")) {
                calendar.add(5, 1);
            } else if (dealTranFreq != null && dealTranFreq.equals("W")) {
                calendar.add(4, 1);
            } else if (dealTranFreq != null && dealTranFreq.equals("M")) {
                calendar.add(2, 1);
            } else if (dealTranFreq != null && dealTranFreq.equals("3")) {
                calendar.add(2, 2);
            } else if (dealTranFreq != null && dealTranFreq.equals("4")) {
                calendar.add(2, 3);
            } else if (dealTranFreq != null && dealTranFreq.equals("5")) {
                calendar.add(2, 6);
            } else if (dealTranFreq != null && dealTranFreq.equals("Y")) {
                calendar.add(1, 1);
            }
            Date newdate = calendar.getTime();
            calendar.setTime(endDate);
            calendar.add(5, 1);
            Date newEnddate = calendar.getTime();
            if (newdate.before(newEnddate)) {
                context.put(this.fieldDealTime, simpleDateFormat.format(newdate));
                return "0";
            }
            return "1";
        } catch (ParseException e) {
            simpleDateFormat.printStackTrace();
            return "2";
        }
    }

    public String getFieldDealTranFreq() {
        return this.fieldDealTranFreq;
    }

    public void setFieldDealTranFreq(String fieldDealTranFreq) {
        this.fieldDealTranFreq = fieldDealTranFreq;
    }

    public String getFieldDealBeginDate() {
        return this.fieldDealBeginDate;
    }

    public void setFieldDealBeginDate(String fieldDealBeginDate) {
        this.fieldDealBeginDate = fieldDealBeginDate;
    }

    public String getFieldDealEndDate() {
        return this.fieldDealEndDate;
    }

    public void setFieldDealEndDate(String fieldDealEndDate) {
        this.fieldDealEndDate = fieldDealEndDate;
    }

    public String getFieldDealTime() {
        return this.fieldDealTime;
    }

    public void setFieldDealTime(String fieldDealTime) {
        this.fieldDealTime = fieldDealTime;
    }
}
